1

I am trying to install libsodium using

./configure --prefix=/usr
make
sudo make install

In the install step, I get this error:

usage: install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
               [-o owner] file1 file2
       install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
               [-o owner] file1 ... fileN directory
       install -d [-v] [-g group] [-m mode] [-o owner] directory ...
make[4]: *** [install-nobase_includeHEADERS] Error 64
make[3]: *** [install-am] Error 2
make[2]: *** [install-recursive] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1

Do I need a different verison of some package?

1 Answer 1

2

Try installing using homebrew:

brew install libsodium

Homebrew will deal with all the dependencies for you. You can also review the recipe used by homebrew's libsodium.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .